commit: 3e61ef271eb3da56606e34ac8abd24e5dc028ea4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 23 10:51:50 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 23 10:55:21 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e61ef27
dev-python/hiredis: Bump to 3.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/hiredis/Manifest | 1 +
dev-python/hiredis/hiredis-3.2.1.ebuild | 45 +++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/hiredis/Manifest b/dev-python/hiredis/Manifest
index b74de5aa7818..d2fe5b7754aa 100644
--- a/dev-python/hiredis/Manifest
+++ b/dev-python/hiredis/Manifest
@@ -1,2 +1,3 @@
DIST hiredis-py-3.1.0.gh.tar.gz 19066 BLAKE2B
06b4c3e47a27d16b28a96f0769399d8b3bcc361ac14d755134cb88faed4e403e89892276a3ce5e7c2920b45c5575caba8777cef8d64bc61fcf9d47f1b94b19f2
SHA512
8c47179bc55b89d64aa02a18c81d0e77669882afe126ca7ca468df8c9417023c36c6e3bdfcc28e092feba7a766655005e839a3aaf766d2fc4424176808c978d8
DIST hiredis-py-3.1.1.gh.tar.gz 19545 BLAKE2B
02762179999f226ac87c059299116c5880ab07efd9a61d0b1fa9af8225f1f2f303756411cea8605055cbe1918c8948418e6beed28f6325d5af0a95723a5a6c6e
SHA512
10eb7a7b69d26c8f977ac6790d2ae110b04bf071d547dff1cd0234f0bb227735b6c7784573921125c54ba936334077c55b7a981348af06f58ffca020ed64ef60
+DIST hiredis-py-3.2.1.gh.tar.gz 20090 BLAKE2B
362ec46549780eba4c672a8e9dee5b380829e2bb3de79d45052ede6634faa499bddbb7cf479714daf4ffb71754df267ec08b32a37c30c9d4700f92015cb95ed0
SHA512
eac9299f3de448628111fa25d6dde5faaec95f3f80120ebc9b659e1b4336c84e10c04084dd8d14eda279589ffcf6b18064b37fa8f5fd358d63e8fd1a02309b9f
diff --git a/dev-python/hiredis/hiredis-3.2.1.ebuild
b/dev-python/hiredis/hiredis-3.2.1.ebuild
new file mode 100644
index 000000000000..600560854572
--- /dev/null
+++ b/dev-python/hiredis/hiredis-3.2.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1
+
+MY_P=hiredis-py-${PV}
+DESCRIPTION="Python extension that wraps hiredis"
+HOMEPAGE="
+ https://github.com/redis/hiredis-py/
+ https://pypi.org/project/hiredis/
+"
+SRC_URI="
+ https://github.com/redis/hiredis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=dev-libs/hiredis-1.0.0:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}"/hiredis-2.4.0-system-libs.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf hiredis || die
+ epytest
+}